Package org.apache.felix.log

## Class LoggerContextImpl

- java.lang.Object
- - org.apache.felix.log.LoggerContextImpl

All Implemented Interfaces:
  `org.osgi.service.log.admin.LoggerContext`

Direct Known Subclasses:
  `RootLoggerContextImpl`

    public class LoggerContextImpl
    extends Object
    implements org.osgi.service.log.admin.LoggerContext

### Field Summary

Fields
`protected Map<String,​org.osgi.service.log.LogLevel>` `_levels`
`protected Lock` `_lock`
`protected LoggerAdminImpl` `_loggerAdminImpl`
`protected org.osgi.service.log.admin.LoggerContext` `_rootContext`

### Fields inherited from interface org.osgi.service.log.admin.LoggerContext

`LOGGER_CONTEXT_DEFAULT_LOGLEVEL, LOGGER_CONTEXT_PID`

### Constructor Summary

Constructors
`LoggerContextImpl​(String name, LoggerAdminImpl loggerAdminImpl, org.osgi.service.log.admin.LoggerContext rootLoggerContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `ancestor​(String name)`
`void` `clear()`
`org.osgi.service.log.LogLevel` `getEffectiveLogLevel​(String name)`
`Map<String,​org.osgi.service.log.LogLevel>` `getLogLevels()`
`String` `getName()`
`boolean` `isEmpty()`
`void` `setLogLevels​(Map<String,​org.osgi.service.log.LogLevel> logLevels)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _levels

    protected volatile Map<String,​org.osgi.service.log.LogLevel> _levels

#### _lock

    protected final Lock _lock

#### _loggerAdminImpl

    protected final LoggerAdminImpl _loggerAdminImpl

#### _rootContext

    protected final org.osgi.service.log.admin.LoggerContext _rootContext

### Constructor Detail

#### LoggerContextImpl

    public LoggerContextImpl​(String name,
                             LoggerAdminImpl loggerAdminImpl,
                             org.osgi.service.log.admin.LoggerContext rootLoggerContext)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.osgi.service.log.admin.LoggerContext`

#### getEffectiveLogLevel

    public org.osgi.service.log.LogLevel getEffectiveLogLevel​(String name)

Specified by:
  `getEffectiveLogLevel` in interface `org.osgi.service.log.admin.LoggerContext`

#### getLogLevels

    public Map<String,​org.osgi.service.log.LogLevel> getLogLevels()

Specified by:
  `getLogLevels` in interface `org.osgi.service.log.admin.LoggerContext`

#### setLogLevels

    public void setLogLevels​(Map<String,​org.osgi.service.log.LogLevel> logLevels)

Specified by:
  `setLogLevels` in interface `org.osgi.service.log.admin.LoggerContext`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.osgi.service.log.admin.LoggerContext`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `org.osgi.service.log.admin.LoggerContext`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### ancestor

    protected String ancestor​(String name)